// This sample is the code used to build addzip.exe - the self-extracting
// archive that contains the DLLs and documentation
//
// Last updated 1/4/98
#include <windows.h>
#include "../../addzip.h"
int PASCAL WinMain(HINSTANCE hCurInstance, HINSTANCE hPrevInstance, LPSTR lpCmdLine, int nCmdShow){

	addZIP_Initialise(); // this should always be the first function called
	addZIP_ArchiveName("\\html\\addZIP.4\\addzip.exe");
	addZIP_Include("\\addzip\\*.*");
	addZIP_BuildSFX(azSFX_DOS16);
	addZIP_SFXAutoExecute("edit", "addzip\\readme.1st");
	addZIP_SFXRestoreStructure(TRUE);
	addZIP();

	addZIP_ArchiveName("\\html\\addZIP.4\\az-vb.zip");
	addZIP_Include("\\addzip\\vb\\*.*");
	addZIP_Recurse(TRUE);
	addZIP_SaveStructure(azSTRUCTURE_RELATIVE);
	addZIP();

	addZIP_ArchiveName("\\html\\addZIP.4\\az-c.zip");
	addZIP_Include("\\addzip\\c\\*.*");
	addZIP_UseLFN(TRUE);
	addZIP_Recurse(TRUE);
	addZIP_SaveStructure(azSTRUCTURE_RELATIVE);
	addZIP();

	addZIP_ArchiveName("\\html\\addZIP.4\\az-dlph.zip");
	addZIP_Include("\\addzip\\delphi\\*.*");
	addZIP_Recurse(TRUE);
	addZIP_SaveStructure(azSTRUCTURE_RELATIVE);
	addZIP();

	addZIP_ArchiveName("\\html\\addZIP.4\\az-vdb.zip");
	addZIP_Include("\\addzip\\vdbase\\*.*");
	addZIP_Recurse(TRUE);
	addZIP_SaveStructure(azSTRUCTURE_RELATIVE);
	addZIP();

	return 1;
}