unit About;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Buttons, ExtCtrls, azip;

type
  TAboutBox = class(TForm)
    imgImageLeft: TImage;
    imgImageRight: TImage;
    imgAddZip: TImage;
    lblInfo: TLabel;
    lblUsage: TLabel;
    btnOK: TBitBtn;
    lblAddZip: TLabel;
    procedure btnOKClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  AboutBox: TAboutBox;

implementation

{$R *.DFM}

procedure TAboutBox.btnOKClick(Sender: TObject);
begin
   Close;
end;

procedure TAboutBox.FormClose(Sender: TObject; var Action: TCloseAction);
begin
   Action := caFree;
end;

procedure TAboutBox.FormShow(Sender: TObject);
var
   iMajor, iMinor : Integer;
begin
   AddZIP_GetVersion(iMajor, iMinor);
   lblAddZip.Caption := lblAddZip.Caption + IntToStr(iMajor) + '.' + IntToStr(iMinor);
end;

end.
