unit AUNZIP;

interface
uses
{$IFDEF WIN32}
  Windows;
{$ELSE}
  WinTypes, WinProcs;
{$ENDIF}

{
aunzip.pas

Borland Delphi interface unit for addUNZIP compression libraries
Copyright  1995,1997 Stephen Darlington. All rights reserved.

Borland Delphi interface unit created by Brad Clarke.
}

function addUNZIP: Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_ArchiveName(lpFile : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_Decrypt(lpPassword : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_DisplayComment(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_Exclude(lpFiles : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_ExcludeListFile(lpFile : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_ExtractTo(lpPath : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_Freshen(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_GetLastError: Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_GetLastWarning: Integer; {$ifdef Win32} stdcall; {$endif Win32}

Procedure addUNZIP_GetVersion(var Major : Integer; var Minor : Integer); {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_Include(lpFiles : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_IncludeListFile(lpFile : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32}

procedure addUNZIP_Initialise; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_InstallCallback(fCallBack: Pointer): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_Overwrite(iFlag : Integer): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_Register(lpUserName : PChar; lCode : LongInt): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_RestoreAttributes(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_RestoreStructure(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_SaveConfiguration(lpFile : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_SetParentWindowHandle(hWnd : THandle): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_SetWindowHandle(hWnd : THandle): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_Test(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_ToMemory(lpBuffer : PChar; lBufLen : LongInt): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_Update(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32}

function addUNZIP_View(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32}

{$IFDEF WIN32}
  Const LIBNAME = 'AUNZIP32.DLL';
{$ELSE}
  Const LIBNAME = 'AUNZIP16';
{$ENDIF}


implementation

function addUNZIP: Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_ArchiveName(lpFile : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_Decrypt(lpPassword : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_DisplayComment(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_Exclude(lpFiles : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_ExcludeListFile(lpFile : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_ExtractTo(lpPath : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_Freshen(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_GetLastError: Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_GetLastWarning: Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

Procedure addUNZIP_GetVersion(var Major : Integer; var Minor : Integer); {$ifdef Win32} stdcall; {$endif Win32}
          external LIBNAME;

function addUNZIP_Include(lpFiles : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_IncludeListFile(lpFile : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

procedure addUNZIP_Initialise; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_InstallCallback(fCallBack: Pointer): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_Overwrite(iFlag : Integer): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_Register(lpUserName : PChar; lCode : LongInt): Integer; {$ifdef Win32} stdcall; {$endif Win32}
         external LIBNAME;

function addUNZIP_RestoreAttributes(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_RestoreStructure(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_SaveConfiguration(lpFile : PChar): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_SetParentWindowHandle(hWnd : THandle): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_SetWindowHandle(hWnd : THandle): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_Test(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_ToMemory(lpBuffer : PChar; lBufLen : LongInt): Integer; {$ifdef Win32} stdcall; {$endif Win32}
         external LIBNAME;

function addUNZIP_Update(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

function addUNZIP_View(bFlag : Boolean): Integer; {$ifdef Win32} stdcall; {$endif Win32} external LIBNAME;

end.
